发表文章

[Java] 在 JVM 版本错误上添加了友好消息 "jvm버전 오류시 친절 메시지 추가"[TadpoleForDBTools]

hangum 3月前 15

如果系统操作环境是 MAC, JVM 1.7 或更高版本, Windows 和 Linux 必须是1.6 或更高级的。
没有消息, 并停止介绍屏幕。

因此, 它似乎是在消息输出后死亡。

原文:

시스템 동작환경이 Mac 일 경우 jvm 1.7이상, windows, linux일 경우 1.6 이상 이어야 하는데..
메시지도 없고 인트로 화면에 멈추어 있습니다.

그래서, 메시지 출력후 죽도록 해야할듯합니다.

相关推荐
最新评论 (1)
hangum 3月前
1

在输出以下消息后, 单击 OK 按钮强制关闭系统。
PS) 它会运行在汤姆夹克和关闭系统?
@jeongjaehong您如何看待@billygoo

2014-04-02 12 40 04

错误-应用程序: systeminitialize 系统初始化检查器
Java.lang.exception: 您必须是 Java 版本 1.7. x 或更多。
在 Com.hangum.tadpole.sql.system.tadpolesystemchecker.checker (tadpolesystemchecker. java:43)
在 Com.hangum.tadpole.application.application.systeminitialize (应用程序. java:57)
在 Com.hangum.tadpole.application.application.createui (应用程序. java:41)
在 Org.eclipse.rap.rwt.internal.lifecycle.rwtlifecycle.createui (rwtlifecycle. java: 187)
Org.eclipse.rap.rwt.internal.lifecycle.rwtlifecycle 美元 uithreadcontroller. 运行 (rwtlifecycle. java: 299)
在 Java.lang.thread.run (线程. Java: 724)
在 Org.eclipse.rap.rwt.internal.lifecycle.uithread.run (uithread. java: 105)

原文:

다음과 같은 메시지를 출력후 확인버튼을 클릭하면 시스템을 강제로 종료합니다.
ps) 톰켓에서 동작중인데 시스템을 종료하는게 올은것인가?
@jeongjaehong @billygoo 어떻게 생각하세요?

2014-04-02 12 40 04

ERROR - Application : systemInitialize System Initialize Checker
java.lang.Exception: You must be Java Version 1.7.x or more.
at com.hangum.tadpole.sql.system.TadpoleSystemChecker.checker(TadpoleSystemChecker.java:43)
at com.hangum.tadpole.application.Application.systemInitialize(Application.java:57)
at com.hangum.tadpole.application.Application.createUI(Application.java:41)
at org.eclipse.rap.rwt.internal.lifecycle.RWTLifeCycle.createUI(RWTLifeCycle.java:187)
at org.eclipse.rap.rwt.internal.lifecycle.RWTLifeCycle$UIThreadController.run(RWTLifeCycle.java:299)
at java.lang.Thread.run(Thread.java:724)
at org.eclipse.rap.rwt.internal.lifecycle.UIThread.run(UIThread.java:105)

返回
发表文章
hangum
文章数
36
评论数
236
注册排名
92845